Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSubdivideTetra Class Reference

`#include <vtkSubdivideTetra.h>`

Inheritance diagram for vtkSubdivideTetra:

[legend]
Collaboration diagram for vtkSubdivideTetra:

[legend]
List of all members.

## Detailed Description

subdivide one tetrahedron into twelve for every tetra

Date:
  2002/01/22 15:29:50

Revision:
  1.16

This filter subdivides tetrahedra in an unstructured grid into twelve tetrahedra.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (72%)
  - Lorensen, Bill (12%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkSubdivideTetra.cxx)`
  - .`h` (`/Graphics/vtkSubdivideTetra.h)`

Tests:
  vtkSubdivideTetra (Tests)

Definition at line 44 of file vtkSubdivideTetra.h.

## Public Types
typedef vtkUnstructuredGridToUnstructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkSubdivideTetra * | New ()
int | IsTypeOf (const char *type)
vtkSubdivideTetra * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkSubdivideTetra ()
| ~vtkSubdivideTetra ()
void | Execute ()

## Member Typedef Documentation

typedef vtkUnstructuredGridToUnstructuredGridFilter vtkSubdivideTetra::Superclass

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter. Definition at line 48 of file vtkSubdivideTetra.h.

## Constructor & Destructor Documentation

vtkSubdivideTetra::vtkSubdivideTetra | ( |  | ) | `[protected]`

vtkSubdivideTetra::~vtkSubdivideTetra | ( |  | ) | `[inline, protected]`

| Definition at line 54 of file vtkSubdivideTetra.h.

## Member Function Documentation

vtkSubdivideTetra* vtkSubdivideTetra::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkSubdivideTetra::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

int vtkSubdivideTetra::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

virtual int vtkSubdivideTetra::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

vtkSubdivideTetra* vtkSubdivideTetra::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

void vtkSubdivideTetra::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

void vtkSubdivideTetra::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- Graphics/vtkSubdivideTetra.h